|
@@ -0,0 +1,135 @@
+#! /bin/sh
+# Copyright (c) 1997 - 2001 S.u.S.E. GmbH Nuernberg, Germany. All rights reserved.
+# Copyright (c) 2002 SuSE Linux AG, Nuernberg, Germany.
+#
+# Author: Carsten Hoeger <choeger@suse.de>, 1997, 1998
+#
+# init.d/lcr
+#
+# and symbolic its link
+#
+# /usr/sbin/rclcr
+#
+# System startup script for the inet daemon
+#
+### BEGIN INIT INFO
+# Provides: lcr
+# Required-Start: $network $remote_fs mISDN
+# Required-Stop: $network
+# Should-Start: $portmap autofs
+# Should-Stop: $null
+# Default-Start: 3 5
+# Default-Stop: 0 1 2 6
+# Description: Starts the xinet daemon. Be aware that lcr doesn't start if no service is configured to run under it. To enable lcr services go to YaST Network Services (lcr) section.
+### END INIT INFO
+
+LCR_BIN=/usr/sbin/lcr
+test -x $LCR_BIN || exit 5
+LCR_PIDFILE=/var/run/lcr.init.pid
+
+# Shell functions sourced from /etc/rc.status:
+# rc_check check and set local and overall rc status
+# rc_status check and set local and overall rc status
+# rc_status -v ditto but be verbose in local rc status
+# rc_status -v -r ditto and clear the local rc status
+# rc_failed set local and overall rc status to failed
+# rc_reset clear local rc status (overall remains)
+# rc_exit exit appropriate to overall rc status
+. /etc/rc.status
+
+# First reset status of this service
+rc_reset
+
+# Return values acc. to LSB for all commands but status:
+# 0 - success
+# 1 - misc error
+# 2 - invalid or excess args
+# 3 - unimplemented feature (e.g. reload)
+# 4 - insufficient privilege
+# 5 - program not installed
+# 6 - program not configured
+#
+# Note that starting an already running service, stopping
+# or restarting a not-running service as well as the restart
+# with force-reload (in case signalling is not supported) are
+# considered a success.
+
+case "$1" in
+ start)
+ echo -n "Starting Linux Call Router. (lcr)"
+ ## Start daemon with startproc(8). If this fails
+ ## the echo return value is set appropriate.
+
+ # startproc should return 0, even if service is
+ # already running to match LSB spec.
+ startproc -p $LCR_PIDFILE -t 1 -u asterisk $LCR_BIN fork
+
+ # Remember status and be verbose
+ rc_status -v
+ ;;
+ stop)
+ echo -n "Shutting down Linux Call Router:"
+ ## Stop daemon with killproc(8) and if this fails
+ ## set echo the echo return value.
+
+ killproc $LCR_BIN
+
+ # Remember status and be verbose
+ rc_status -v
+ ;;
+ try-restart)
+ ## Stop the service and if this succeeds (i.e. the
+ ## service was running before), start it again.
+ $0 status >/dev/null && $0 restart
+
+ # Remember status and be quiet
+ rc_status
+ ;;
+ restart)
+ ## Stop the service and regardless of whether it was
+ ## running or not, start it again.
+ $0 stop
+ $0 start
+
+ # Remember status and be quiet
+ rc_status
+ ;;
+ force-reload)
+ ## Signal the daemon to reload its config. Most daemons
+ ## do this on signal 1 (SIGHUP).
+ ## If it does not support it, restart.
+
+ echo -n "Reload Linux Call Router "
+ ## if it supports it:
+ killproc -HUP $LCR_BIN
+ rc_status -v
+ ;;
+ reload)
+ ## Like force-reload, but if daemon does not support
+ ## signalling, do nothing (!)
+
+ # If it supports signalling:
+ echo -n "Reload Linux Call Router (lcr)."
+ killproc -HUP $LCR_BIN
+ rc_status -v
+ ;;
+ status)
+ echo -n "Checking for service lcr: "
+ ## Check status with checkproc(8), if process is running
+ ## checkproc will return with exit status 0.
+
+ # Status has a slightly different for the status command:
+ # 0 - service running
+ # 1 - service dead, but /var/run/ pid file exists
+ # 2 - service dead, but /var/lock/ lock file exists
+ # 3 - service not running
+
+ # NOTE: checkproc returns LSB compliant status values.
+ checkproc $LCR_BIN
+ rc_status -v
+ ;;
+ *)
+ echo "Usage: $0 {start|stop|status|try-restart|restart|force-reload|reload}"
+ exit 1
+esac
+rc_exit
|